# [BETA] Get volume snapshot

```http
GET /compute/v1/tenants/{tenantId}/volumes/{volumeId}/snapshots/{snapshotId}
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `GetVolumeSnapshot`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:snapshots`

Returns a volume snapshot by ID

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `volumeId` (string, required) — Volume ID
- `snapshotId` (string, required) — Snapshot ID

## Responses

### 200 — OK

Content type: `application/json`

- `createdAt` (string)
- `id` (string)
- `name` (string)
- `physicalSizeBytes` (integer) — physical size of backed-up snapshot on image store
- `revertible` (boolean)
- `state` (string) — the state of the snapshot. BackedUpSnapshot means that the snapshot is ready to be used; Creating - the snapshot is being allocated on the primary storage; BackingUp - the snapshot is being backed up on secondary storage
- `virtualSizeBytes` (integer) — virtual size of backed-up snapshot on image store
- `volumeId` (string)
- `volumeName` (string)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)

### 404 — Not Found

Content type: `application/json`

- `message` (string)
